CVE-2004-1258
CVSS10.0
发布时间 :2005-01-10 00:00:00
修订时间 :2011-04-29 00:00:00
NMCO    

[原文]Buffer overflow in the put_words function in subs.c for abcm2ps 3.7.20 allows remote attackers to execute arbitrary code via crafted ABC files.


[CNNVD]abcm2ps put_words() 缓冲区溢出漏洞(CNNVD-200501-209)

        abcm2ps是一个将ABC文件转换为postscript文件的转换器软件。
        abcm2ps 3.7.20版本中subs.c的put_words函数存在缓冲区溢出漏洞。
        远程攻击者可以通过特制的ABC文件,利用此漏洞执行强制性代码。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-119 [内存缓冲区边界内操作的限制不恰当]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1258
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1258
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200501-209
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/18579
(UNKNOWN)  XF  abcm2ps-putwords-bo(18579)
http://tigger.uic.edu/~jlongs2/holes/abcm2ps.txt
(VENDOR_ADVISORY)  MISC  http://tigger.uic.edu/~jlongs2/holes/abcm2ps.txt

- 漏洞信息

abcm2ps put_words() 缓冲区溢出漏洞
危急 缓冲区溢出
2005-01-10 00:00:00 2005-10-20 00:00:00
远程  
        abcm2ps是一个将ABC文件转换为postscript文件的转换器软件。
        abcm2ps 3.7.20版本中subs.c的put_words函数存在缓冲区溢出漏洞。
        远程攻击者可以通过特制的ABC文件,利用此漏洞执行强制性代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://abcplus.sourceforge.net/#abcm2ps
        

- 漏洞信息

12431
abcm2ps put_words() Function Overflow
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public Vendor Verified

- 漏洞描述

A remote overflow exists in abcm2ps. Abcm2ps fails to properly validate data in the put_words() function resulting in a buffer overflow. With a specially crafted request, an attacker can cause execution of arbitrary code resulting in a loss of integrity.

- 时间线

2004-12-16 2004-12-15
2004-12-15 Unknow

- 解决方案

Upgrade to version 3.7.21 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站